# Refunds Refunds ## Returns the default refund template - [GET /refunds/defaultTemplate/refund](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/getdefaultrefundtemplate.md): Returns the default refund template ## Initiates workflow to warm up inventory transactions - [POST /refunds/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/warmupstepfunctions.md) ## Gets all of the refunds in the system. - [GET /refunds/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/listrefunds.md): This method will scan all refunds and and return them to the caller. ## Creates a new refund that doesn't already exist - [POST /refunds/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/processrefund.md): This method will auto-generate an ID and create a new refund. If an ID is specified for the refund, an error will be thrown. ## Execute Batch Operations - [POST /refunds/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified batch_id - [GET /refunds/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/listrefundsbybatchid.md): Returns a list of records with the specified batch_id ## Sends out a preview of the notification template - [POST /refunds/{tenantId}/previewTemplate](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/previewtemplate.md): Sends out a preview of the notification template ## Generates a PDF and returns the public link for download - [GET /refunds/{tenantId}/print/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/downloadpdf.md): Generates a PDF and returns the public link for download ## Searches for refunds using predefined parameters - [POST /refunds/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/searchforrefunds.md): Searches for refunds using predefined parameters ## Creates a new refund that doesn't already exist - [POST /refunds/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/processrefundsync.md): This method will auto-generate an ID and create a new refund. If an ID is specified for the refund, an error will be thrown. ## Returns a refund from the system by its ID. - [GET /refunds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/getrefund.md): This method will look up a refund by the specified ID and return it back. ## Partially updates a refund with the specified ID. - [PATCH /refunds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/patchrefund.md): This method will patch an existing refund with the specified ID, using the HTTP PATCH specification. ## Updates a refund with the specified ID. - [PUT /refunds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/updaterefund.md): This method will update an existing refund with the specified ID.